* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  background-color: #202124;
  font-family: "Roboto", sans-serif;
  color: white;
}

.container {
  min-height: 60vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding-inline: 16px;
}

.logo {
  width: 100%;
  max-width: 500px;
}

.search-menu{
    width: 100%;
    max-width: 600px;
    position: relative;
}
.searchbar {
  border: 2px solid #5f6368;
  border-radius: 32px;
  display: flex;
  align-items: center;
  padding: 0px 24px;
  margin-top: 32px;
}

.searchbar:hover,
.searchbar:focus-within {
  background-color: #303134;
  border-color: #303134;
}

.searchbar:focus-within {
    border-radius: 32px 32px 0 0 ;
}

.search-icon,
.close-icon {
  height: 20px;
}

.close-icon {
  display: none;
  cursor: pointer;
}

.searchbar:focus-within .close-icon{
    display: block;
}
.searchbar input {
  background-color: transparent;
  border: none;
  outline: none;
  color: inherit;
  width: 100%;
  padding: 16px;
  font-size: 18px;
}

.suggestion-menu{
  background-color: #303134;
  border-radius: 0 0 24px 32px ;
  font-size: 18px;
  padding: 0px 0px 8px;
  display: none;
  position:absolute;
  width: 100%;
  overflow: hidden;
}

.top-border{
    border-top: 2px solid #5f6368;
    margin-inline: 24px;
    margin-bottom: 5px;
}
.suggestion-menu p{
    margin: 0;
    padding: 8px 24px;
    cursor: pointer;
    border-radius: 4px;
    display: flex;
    align-items: center;
    gap:16px;
}

.searchbar:focus-within + .suggestion-menu{
    display: block;
}
.suggestion-menu p:hover{
    background-color: #3c4043;
}

.doodle{
    position:fixed;
    right:32px;
    bottom:0;
    z-index: -1;
}